Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java	(revision 1334)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java	(revision 1335)
@@ -59,9 +59,9 @@
 		if(cumulative)	{
 
 			// Create the chart
-			yAxisLabel = ProgressionCoreMessages.ChartsEngine_PROGRESSION_Y_AXIS_CUMULATIVE_LABEL;
+			yAxisLabel = ProgressionCoreMessages.occurrences;
 			chart = this.getChartsEngine().createXYStepChart(dataset, Utils.createProgressionChartTitle(progression, cumulative),
-					ProgressionCoreMessages.bind(ProgressionCoreMessages.ChartsEngine_PROGRESSION_X_AXIS_LABEL, progression.getXmaxCorpus()), yAxisLabel, true, true, true, true, true);
+					ProgressionCoreMessages.bind(ProgressionCoreMessages.tEqualsP0, progression.getXmaxCorpus()), yAxisLabel, true, true, true, true, true);
 
 
 			// Custom renderer
@@ -95,7 +95,7 @@
 //			// Create the chart
 //			yAxisLabel =  ProgressionCoreMessages.ChartsEngine_PROGRESSION_Y_AXIS_NOT_CUMULATIVE_LABEL;
 //			chart = this.getChartsEngine().createXYLineChart(dataset, Utils.createProgressionChartTitle(progression, cumulative),
-//					ProgressionCoreMessages.bind(ProgressionCoreMessages.ChartsEngine_PROGRESSION_X_AXIS_LABEL, progression.getXmaxCorpus()), yAxisLabel,
+//					ProgressionCoreMessages.bind(ProgressionCoreMessages.tEqualsP0, progression.getXmaxCorpus()), yAxisLabel,
 //					true, true, true, false, true, false, true, null);
 		}
 
@@ -337,4 +337,4 @@
 
 	
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/messages/CooccurrenceCoreMessages.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/messages/CooccurrenceCoreMessages.java	(revision 1334)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/messages/CooccurrenceCoreMessages.java	(revision 1335)
@@ -1,47 +1,47 @@
-package org.txm.cooccurrence.core.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-/**
- * Cooccurrence core message.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class CooccurrenceCoreMessages extends NLS {
-	
-	private static final String BUNDLE_NAME = "org.txm.cooccurrence.core.messages.messages"; //$NON-NLS-1$
-	
-	public static String RESULT_TYPE;
-
-	
-	public static String Cooccurrence_10;
-	public static String Cooccurrence_102;
-	public static String Cooccurrence_103;
-	public static String Cooccurrence_11;
-	public static String Cooccurrence_12;
-	public static String Cooccurrence_13;
-	public static String Cooccurrence_14;
-	public static String Cooccurrence_15;
-	public static String Cooccurrence_23;
-	public static String Cooccurrence_4;
-	public static String Cooccurrence_6;
-	public static String Cooccurrence_7;
-	public static String Cooccurrence_8;
-	public static String Cooccurrence_9;
-
-	public static String info_buildingQueries;
-	public static String info_retreivingMatches;
-	public static String info_buildingLineSignatures;
-	public static String info_counting;
-	public static String info_buildingLexicalTable;
-	public static String info_computingSpecificitiesScores;
-	public static String info_details;
-	
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, CooccurrenceCoreMessages.class);
-	}
-}
+package org.txm.cooccurrence.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+/**
+ * Cooccurrence core message.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class CooccurrenceCoreMessages extends NLS {
+	
+	private static final String BUNDLE_NAME = "org.txm.cooccurrence.core.messages.messages"; //$NON-NLS-1$
+	
+	public static String RESULT_TYPE;
+
+	
+	public static String propertiesDDot; 
+	public static String errorDDotNegativeArgumentInFactlnFunction; 
+	public static String errorDDotNegativeArgumentInRbicolnFunction; 
+	public static String occ; 
+	public static String freq; 
+	public static String coFreq; 
+	public static String score; 
+	public static String meanDist; 
+	public static String errorDDotNoCooccurrents; 
+	public static String fDDot; 
+	public static String occFreqCoFreqScoreMeanDistMode; 
+	public static String occDDot; 
+	public static String scoreDDot; 
+	public static String meanDistDDot; 
+
+	public static String info_buildingQueries;
+	public static String info_retreivingMatches;
+	public static String info_buildingLineSignatures;
+	public static String info_counting;
+	public static String info_buildingLexicalTable;
+	public static String info_computingSpecificitiesScores;
+	public static String info_details;
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, CooccurrenceCoreMessages.class);
+	}
+}
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/CooccurrenceMaths.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/CooccurrenceMaths.java	(revision 1334)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/CooccurrenceMaths.java	(revision 1335)
@@ -41,7 +41,7 @@
 	 */
 	static double factln(int n) {
 		if (n < 0)
-			System.err.println(CooccurrenceCoreMessages.Cooccurrence_102);
+			System.err.println(CooccurrenceCoreMessages.errorDDotNegativeArgumentInFactlnFunction);
 		if (n <= 1)
 			return 0.0;
 		if (n <= 100)
@@ -131,9 +131,9 @@
 	 */
 	static double rbicoln(int n, int k) {
 		if (n < 0)
-			System.err.println(CooccurrenceCoreMessages.Cooccurrence_103);
+			System.err.println(CooccurrenceCoreMessages.errorDDotNegativeArgumentInRbicolnFunction);
 		if (k < 0)
-			System.err.println(CooccurrenceCoreMessages.Cooccurrence_103);
+			System.err.println(CooccurrenceCoreMessages.errorDDotNegativeArgumentInRbicolnFunction);
 		if (n <= 100 && k <= 100)
 			return (arbicoln[n][k] >= 0) ? arbicoln[n][k]
 					: (arbicoln[n][k] = factln(n) - factln(k) - factln(n - k));
@@ -230,4 +230,4 @@
 	//
 	//		return true;
 	//	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 1334)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 1335)
@@ -750,7 +750,7 @@
 		// System.out.println("Lines "+lines.size());
 		System.out.println("FA : " + FA); //$NON-NLS-1$
 		System.out.println("P : " + P); //$NON-NLS-1$
-		System.out.println(CooccurrenceCoreMessages.Cooccurrence_6);
+		System.out.println(CooccurrenceCoreMessages.occFreqCoFreqScoreMeanDistMode);
 		for (CLine line : lines)
 			System.out.println(line.resume("\t", "")); //$NON-NLS-1$ //$NON-NLS-2$
 	}
@@ -999,7 +999,7 @@
 
 		//time = System.currentTimeMillis();
 		if (freqs.length == 0) {
-			System.out.println(CooccurrenceCoreMessages.Cooccurrence_23);
+			System.out.println(CooccurrenceCoreMessages.errorDDotNoCooccurrents);
 		}
 		//		try {
 		//			PrintWriter writer = IOUtils.getWriter("/home/mdecorde/test_cooc.txt");
@@ -1409,11 +1409,11 @@
 	public boolean toTxt(Writer writer, String colseparator, String txtseparator) {
 		try {
 			//Occ	Freq	CoFreq	Score	MeanDist
-			writer.write( txtseparator+CooccurrenceCoreMessages.Cooccurrence_11+txtseparator+colseparator+
-					txtseparator+CooccurrenceCoreMessages.Cooccurrence_12+txtseparator+colseparator+
-					txtseparator+CooccurrenceCoreMessages.Cooccurrence_13+txtseparator+colseparator+
-					txtseparator+CooccurrenceCoreMessages.Cooccurrence_14+txtseparator+colseparator+
-					txtseparator+CooccurrenceCoreMessages.Cooccurrence_15+txtseparator+"\n");//colseparator+ //$NON-NLS-1$
+			writer.write( txtseparator+CooccurrenceCoreMessages.occ+txtseparator+colseparator+
+					txtseparator+CooccurrenceCoreMessages.freq+txtseparator+colseparator+
+					txtseparator+CooccurrenceCoreMessages.coFreq+txtseparator+colseparator+
+					txtseparator+CooccurrenceCoreMessages.score+txtseparator+colseparator+
+					txtseparator+CooccurrenceCoreMessages.meanDist+txtseparator+"\n");//colseparator+ //$NON-NLS-1$
 			for (CLine line : lines) 
 				writer.write(line.resume(colseparator, txtseparator) + "\n"); //$NON-NLS-1$
 			writer.close();
@@ -1594,7 +1594,7 @@
 
 		@Override
 		public String toString() {
-			return occ+CooccurrenceCoreMessages.Cooccurrence_4+freq+CooccurrenceCoreMessages.Cooccurrence_7+nbocc+CooccurrenceCoreMessages.Cooccurrence_8+score+CooccurrenceCoreMessages.Cooccurrence_9+distmoyenne+CooccurrenceCoreMessages.Cooccurrence_10+props;
+			return occ+CooccurrenceCoreMessages.fDDot+freq+CooccurrenceCoreMessages.occDDot+nbocc+CooccurrenceCoreMessages.scoreDDot+score+CooccurrenceCoreMessages.meanDistDDot+distmoyenne+CooccurrenceCoreMessages.propertiesDDot+props;
 		}
 	}
 
@@ -1605,4 +1605,4 @@
 	}
 
 	
-}
+}
\ No newline at end of file
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java	(revision 1334)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java	(revision 1335)
@@ -1,237 +1,237 @@
-package org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers;
-
-import java.awt.Color;
-import java.awt.Paint;
-import java.text.DecimalFormat;
-
-import org.jfree.chart.labels.CategoryToolTipGenerator;
-import org.jfree.chart.renderer.category.BarRenderer;
-import org.jfree.data.category.CategoryDataset;
-import org.jfree.data.category.DefaultCategoryDataset;
-import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
-import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
-import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-
-/**
- * Renderer providing item selection system and drawing features for selected item and custom rendering for bar charts.
- * @author Sebastien Jacquot
- *
- */
-public class ItemSelectionCategoryBarRenderer extends BarRenderer implements IRendererWithItemSelection {
-
-
-	/**
-	 * Chart item selector.
-	 */
-	protected MouseOverItemSelector mouseOverItemSelector;
-
-	/**
-	 * Values number format.
-	 */
-	protected DecimalFormat valuesNumberFormat;
-
-	/**
-	 *
-	 */
-	public ItemSelectionCategoryBarRenderer() {
-		super();
-		this.mouseOverItemSelector = new MouseOverItemSelector(this);
-
-		// Default Values format
-		this.valuesNumberFormat = new DecimalFormat("#0.####");
-
-
-		// Labels
-		this.initItemLabelGenerator();
-
-		// Tooltips
-		this.initToolTipGenerator(this);
-	}
-
-	// FIXME : set a minimum width for bars, tests for drawing large bar plot, to use with scrolling
-//	@Override
-//	protected void calculateBarWidth(CategoryPlot plot,
-//              Rectangle2D dataArea,
-//              int rendererIndex,
-//              CategoryItemRendererState state) {
-//
-//		CategoryAxis domainAxis = getDomainAxis(plot, rendererIndex);
-//		CategoryDataset dataset = plot.getDataset(rendererIndex);
-//		if (dataset != null) {
-//		int columns = dataset.getColumnCount();
-//		int rows = state.getVisibleSeriesCount() >= 0
-//		? state.getVisibleSeriesCount() : dataset.getRowCount();
-//		double space = 0.0;
-//		PlotOrientation orientation = plot.getOrientation();
-//		if (orientation == PlotOrientation.HORIZONTAL) {
-//		space = dataArea.getHeight() * 4;
-//		}
-//		else if (orientation == PlotOrientation.VERTICAL) {
-//		space = dataArea.getWidth() * 4;
-//		}
-//		double maxWidth = space * getMaximumBarWidth();
-//		double categoryMargin = 0.0;
-//		double currentItemMargin = 0.0;
-//		if (columns > 1) {
-//		categoryMargin = domainAxis.getCategoryMargin();
-//		}
-//		if (rows > 1) {
-//		currentItemMargin = getItemMargin();
-//		}
-//		double used = space * (1 - domainAxis.getLowerMargin()
-//		              - domainAxis.getUpperMargin()
-//		              - categoryMargin - currentItemMargin);
-//		if ((rows * columns) > 0) {
-//		state.setBarWidth(Math.min(used / (rows * columns), maxWidth));
-//		}
-//		else {
-//		state.setBarWidth(Math.min(used, maxWidth));
-//		}
-//		}
-//	}
-//
-//
-//    protected double calculateBarW0(CategoryPlot plot,
-//            PlotOrientation orientation, Rectangle2D dataArea,
-//            CategoryAxis domainAxis, CategoryItemRendererState state,
-//            int row, int column) {
-//        // calculate bar width...
-//        double space;
-//        if (orientation == PlotOrientation.HORIZONTAL) {
-//            space = dataArea.getHeight() * 4;
-//        }
-//        else {
-//            space = dataArea.getWidth() * 4;
-//        }
-//        double barW0 = domainAxis.getCategoryStart(column, getColumnCount(),
-//                dataArea, plot.getDomainAxisEdge());
-//        int seriesCount = state.getVisibleSeriesCount() >= 0
-//                ? state.getVisibleSeriesCount() : getRowCount();
-//        int categoryCount = getColumnCount();
-//        if (seriesCount > 1) {
-//            double seriesGap = space * getItemMargin()
-//                               / (categoryCount * (seriesCount - 1));
-//            double seriesW = calculateSeriesWidth(space, domainAxis,
-//                    categoryCount, seriesCount);
-//            barW0 = barW0 + row * (seriesW + seriesGap)
-//                          + (seriesW / 2.0) - (state.getBarWidth() / 2.0);
-//        }
-//        else {
-//            barW0 = domainAxis.getCategoryMiddle(column, getColumnCount(),
-//                    dataArea, plot.getDomainAxisEdge()) - state.getBarWidth()
-//                    / 2.0;
-//        }
-//        return barW0;
-//    }
-//
-	/**
-	 * Initializes the item label generator.
-	 */
-	public void initItemLabelGenerator()	{
-		// TODO
-	}
-
-	/**
-	 * Initializes the tool tip generator.
-	 */
-	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new CategoryToolTipGenerator() {
-
-			@Override
-			public String generateToolTip(CategoryDataset dataset, int row, int column) {
-
-				// Hexadecimal color
-				Color color = (Color) getSeriesPaint(row);
-				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
-
-				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
-				Number value = catDataset.getValue(row, column);
-
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) + "</span>"
-				 + ChartsEngineCoreMessages.charts_labelValueSeparator + " <b>" + valuesNumberFormat.format(value) + "</b></p></body><html>";
-			}
-		});
-	}
-
-
-
-
-	/**
-	 * Sets the values number format. Used by the tool tips generator to create the values labels.
-	 * @param valuesNumberFormat the valuesNumberFormat to set
-	 */
-	public void setValuesNumberFormat(DecimalFormat valuesNumberFormat) {
-		this.valuesNumberFormat = valuesNumberFormat;
-	}
-
-
-
-	@Override
-	public Paint getItemOutlinePaint(int row, int col) {
-		//FIXME : en attente de voir si l'on trace un contour ou non pour l'item sélectionnée
-		// Draw item shape outline
-//		if(this.itemSelector.isSelectedItem(row, col)) {
-//			return super.getItemOutlinePaint(row, col);
-//		}
-		// Do not trace not selected item outline
-		return null;
-	}
-
-
-	@Override
-	public Paint getItemPaint(int row, int col) {
-
-		Color color = (Color) super.getItemPaint(row, col);
-
-		// Bright the item color paint for selected item
-		if(this.mouseOverItemSelector.isMouseOverItem(row, col)) {
-
-		 	// Gray scale rendering mode
-		 	if(color.getRed() == color.getGreen() &&  color.getGreen() == color.getBlue())	{
-			 	color = Color.RED;
-		 	}
-		 	// Color rendering and Monochrome modes
-		 	else	{
-				// FIXME : old version, to remove when new version will be validated, brighter() does not work when value are 0
-				color = color.brighter();
-				// FIXME : new version, brightening
-//				float hsbVals[] = Color.RGBtoHSB(color.getRed(), color.getGreen(), color.getBlue(), null);
-////			 	//color  = Color.getHSBColor(hsbVals[0], hsbVals[1], 0.5f * ( 1f + hsbVals[2]));
-//				// saturation version
-//				color  = Color.getHSBColor(hsbVals[0], 0.7f * hsbVals[1], hsbVals[2]);
-
-		 	}
-
-
-		}
-		return color;
-	}
-
-
-
-
-	/**
-	 * @return the itemSelector
-	 */
-	public MouseOverItemSelector getItemsSelector() {
-		return mouseOverItemSelector;
-	}
-
-
-
-	@Override
-	public void updateDatasetForDrawingSelectedItemAsLast() {
-		// Do nothing for bar renderer
-	}
-
-
-	@Override
-	public void init() {
-		// TODO Auto-generated method stub
-		
-	}
-
-
-
-}
+package org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers;
+
+import java.awt.Color;
+import java.awt.Paint;
+import java.text.DecimalFormat;
+
+import org.jfree.chart.labels.CategoryToolTipGenerator;
+import org.jfree.chart.renderer.category.BarRenderer;
+import org.jfree.data.category.CategoryDataset;
+import org.jfree.data.category.DefaultCategoryDataset;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
+import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
+import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
+import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
+
+/**
+ * Renderer providing item selection system and drawing features for selected item and custom rendering for bar charts.
+ * @author Sebastien Jacquot
+ *
+ */
+public class ItemSelectionCategoryBarRenderer extends BarRenderer implements IRendererWithItemSelection {
+
+
+	/**
+	 * Chart item selector.
+	 */
+	protected MouseOverItemSelector mouseOverItemSelector;
+
+	/**
+	 * Values number format.
+	 */
+	protected DecimalFormat valuesNumberFormat;
+
+	/**
+	 *
+	 */
+	public ItemSelectionCategoryBarRenderer() {
+		super();
+		this.mouseOverItemSelector = new MouseOverItemSelector(this);
+
+		// Default Values format
+		this.valuesNumberFormat = new DecimalFormat("#0.####");
+
+
+		// Labels
+		this.initItemLabelGenerator();
+
+		// Tooltips
+		this.initToolTipGenerator(this);
+	}
+
+	// FIXME : set a minimum width for bars, tests for drawing large bar plot, to use with scrolling
+//	@Override
+//	protected void calculateBarWidth(CategoryPlot plot,
+//              Rectangle2D dataArea,
+//              int rendererIndex,
+//              CategoryItemRendererState state) {
+//
+//		CategoryAxis domainAxis = getDomainAxis(plot, rendererIndex);
+//		CategoryDataset dataset = plot.getDataset(rendererIndex);
+//		if (dataset != null) {
+//		int columns = dataset.getColumnCount();
+//		int rows = state.getVisibleSeriesCount() >= 0
+//		? state.getVisibleSeriesCount() : dataset.getRowCount();
+//		double space = 0.0;
+//		PlotOrientation orientation = plot.getOrientation();
+//		if (orientation == PlotOrientation.HORIZONTAL) {
+//		space = dataArea.getHeight() * 4;
+//		}
+//		else if (orientation == PlotOrientation.VERTICAL) {
+//		space = dataArea.getWidth() * 4;
+//		}
+//		double maxWidth = space * getMaximumBarWidth();
+//		double categoryMargin = 0.0;
+//		double currentItemMargin = 0.0;
+//		if (columns > 1) {
+//		categoryMargin = domainAxis.getCategoryMargin();
+//		}
+//		if (rows > 1) {
+//		currentItemMargin = getItemMargin();
+//		}
+//		double used = space * (1 - domainAxis.getLowerMargin()
+//		              - domainAxis.getUpperMargin()
+//		              - categoryMargin - currentItemMargin);
+//		if ((rows * columns) > 0) {
+//		state.setBarWidth(Math.min(used / (rows * columns), maxWidth));
+//		}
+//		else {
+//		state.setBarWidth(Math.min(used, maxWidth));
+//		}
+//		}
+//	}
+//
+//
+//    protected double calculateBarW0(CategoryPlot plot,
+//            PlotOrientation orientation, Rectangle2D dataArea,
+//            CategoryAxis domainAxis, CategoryItemRendererState state,
+//            int row, int column) {
+//        // calculate bar width...
+//        double space;
+//        if (orientation == PlotOrientation.HORIZONTAL) {
+//            space = dataArea.getHeight() * 4;
+//        }
+//        else {
+//            space = dataArea.getWidth() * 4;
+//        }
+//        double barW0 = domainAxis.getCategoryStart(column, getColumnCount(),
+//                dataArea, plot.getDomainAxisEdge());
+//        int seriesCount = state.getVisibleSeriesCount() >= 0
+//                ? state.getVisibleSeriesCount() : getRowCount();
+//        int categoryCount = getColumnCount();
+//        if (seriesCount > 1) {
+//            double seriesGap = space * getItemMargin()
+//                               / (categoryCount * (seriesCount - 1));
+//            double seriesW = calculateSeriesWidth(space, domainAxis,
+//                    categoryCount, seriesCount);
+//            barW0 = barW0 + row * (seriesW + seriesGap)
+//                          + (seriesW / 2.0) - (state.getBarWidth() / 2.0);
+//        }
+//        else {
+//            barW0 = domainAxis.getCategoryMiddle(column, getColumnCount(),
+//                    dataArea, plot.getDomainAxisEdge()) - state.getBarWidth()
+//                    / 2.0;
+//        }
+//        return barW0;
+//    }
+//
+	/**
+	 * Initializes the item label generator.
+	 */
+	public void initItemLabelGenerator()	{
+		// TODO
+	}
+
+	/**
+	 * Initializes the tool tip generator.
+	 */
+	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
+		this.setBaseToolTipGenerator(new CategoryToolTipGenerator() {
+
+			@Override
+			public String generateToolTip(CategoryDataset dataset, int row, int column) {
+
+				// Hexadecimal color
+				Color color = (Color) getSeriesPaint(row);
+				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+
+				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
+				Number value = catDataset.getValue(row, column);
+
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) + "</span>"
+				 + ChartsEngineCoreMessages.EMPTY + " <b>" + valuesNumberFormat.format(value) + "</b></p></body><html>";
+			}
+		});
+	}
+
+
+
+
+	/**
+	 * Sets the values number format. Used by the tool tips generator to create the values labels.
+	 * @param valuesNumberFormat the valuesNumberFormat to set
+	 */
+	public void setValuesNumberFormat(DecimalFormat valuesNumberFormat) {
+		this.valuesNumberFormat = valuesNumberFormat;
+	}
+
+
+
+	@Override
+	public Paint getItemOutlinePaint(int row, int col) {
+		//FIXME : en attente de voir si l'on trace un contour ou non pour l'item sélectionnée
+		// Draw item shape outline
+//		if(this.itemSelector.isSelectedItem(row, col)) {
+//			return super.getItemOutlinePaint(row, col);
+//		}
+		// Do not trace not selected item outline
+		return null;
+	}
+
+
+	@Override
+	public Paint getItemPaint(int row, int col) {
+
+		Color color = (Color) super.getItemPaint(row, col);
+
+		// Bright the item color paint for selected item
+		if(this.mouseOverItemSelector.isMouseOverItem(row, col)) {
+
+		 	// Gray scale rendering mode
+		 	if(color.getRed() == color.getGreen() &&  color.getGreen() == color.getBlue())	{
+			 	color = Color.RED;
+		 	}
+		 	// Color rendering and Monochrome modes
+		 	else	{
+				// FIXME : old version, to remove when new version will be validated, brighter() does not work when value are 0
+				color = color.brighter();
+				// FIXME : new version, brightening
+//				float hsbVals[] = Color.RGBtoHSB(color.getRed(), color.getGreen(), color.getBlue(), null);
+////			 	//color  = Color.getHSBColor(hsbVals[0], hsbVals[1], 0.5f * ( 1f + hsbVals[2]));
+//				// saturation version
+//				color  = Color.getHSBColor(hsbVals[0], 0.7f * hsbVals[1], hsbVals[2]);
+
+		 	}
+
+
+		}
+		return color;
+	}
+
+
+
+
+	/**
+	 * @return the itemSelector
+	 */
+	public MouseOverItemSelector getItemsSelector() {
+		return mouseOverItemSelector;
+	}
+
+
+
+	@Override
+	public void updateDatasetForDrawingSelectedItemAsLast() {
+		// Do nothing for bar renderer
+	}
+
+
+	@Override
+	public void init() {
+		// TODO Auto-generated method stub
+		
+	}
+
+
+
+}
\ No newline at end of file
